Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-12-10 Thread Matt Riedemann
On 10/16/2015 7:16 AM, Sean Dague wrote: On 10/16/2015 04:23 AM, Thierry Carrez wrote: Robert Collins wrote: [...] BUT: we haven't (ever!) tested that the lowest versions we specify work. When folk know they are adding a hard dependency on a version we do raise the lower versions, but thats

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-16 Thread Thierry Carrez
Robert Collins wrote: > [...] > BUT: we haven't (ever!) tested that the lowest versions we specify > work. When folk know they are adding a hard dependency on a version we > do raise the lower versions, but thats adhoc and best effort today. > I'd like to see a lower-constraints.txt reflecting the

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-16 Thread Doug Hellmann
Excerpts from Robert Collins's message of 2015-10-16 09:29:21 +1300: > On 16 October 2015 at 08:57, Doug Hellmann wrote: > > Excerpts from Matthew Thode's message of 2015-10-15 14:35:08 -0500: > >> On 10/15/2015 02:17 PM, Matt Riedemann wrote: > >> > > > > > > We're

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-16 Thread Sean Dague
On 10/16/2015 04:23 AM, Thierry Carrez wrote: > Robert Collins wrote: >> [...] >> BUT: we haven't (ever!) tested that the lowest versions we specify >> work. When folk know they are adding a hard dependency on a version we >> do raise the lower versions, but thats adhoc and best effort today. >>

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-16 Thread Doug Hellmann
Excerpts from Matthew Thode's message of 2015-10-15 17:40:27 -0500: > On 10/15/2015 05:29 PM, Robert Collins wrote: > > On 16 October 2015 at 11:21, Matthew Thode > > wrote: > >> On 10/15/2015 05:12 PM, Robert Collins wrote: > >>> On 16 October 2015 at 08:10, Matthew

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-16 Thread Matthew Thode
On 10/15/2015 03:29 PM, Robert Collins wrote: > On 16 October 2015 at 08:57, Doug Hellmann wrote: >> Excerpts from Matthew Thode's message of 2015-10-15 14:35:08 -0500: >>> On 10/15/2015 02:17 PM, Matt Riedemann wrote: > >> >> We're going to try to cover it in >>

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
... >> Now there is an explicit list of what works. >> >> Isn't that *better* ? >> > Yes, it's good to know what works, does that show multiple versions of > the same package when multiple are known to work? It shows the highest version we know to work. So you could in principle take any version

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
On 16 October 2015 at 12:09, Matthew Thode wrote: > On 10/15/2015 06:00 PM, Robert Collins wrote: > Thanks for the replies, I think I have a way forward (using upper-reqs > as a cap). I might need to make a tool that munges the (test-)reqs.txt > to generate one as an

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Doug Hellmann
Excerpts from Matthew Thode's message of 2015-10-15 14:35:08 -0500: > On 10/15/2015 02:17 PM, Matt Riedemann wrote: > > > > > > On 10/15/2015 2:10 PM, Matthew Thode wrote: > >> On 10/15/2015 02:04 PM, Robert Collins wrote: > >>> On 16 October 2015 at 08:01, Matthew Thode > >>>

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Doug Hellmann
Excerpts from Doug Hellmann's message of 2015-10-15 15:57:20 -0400: > Excerpts from Matthew Thode's message of 2015-10-15 14:35:08 -0500: > > On 10/15/2015 02:17 PM, Matt Riedemann wrote: > > > > > > > > > On 10/15/2015 2:10 PM, Matthew Thode wrote: > > >> On 10/15/2015 02:04 PM, Robert Collins

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matthew Thode
On 10/15/2015 05:29 PM, Robert Collins wrote: > On 16 October 2015 at 11:21, Matthew Thode wrote: >> On 10/15/2015 05:12 PM, Robert Collins wrote: >>> On 16 October 2015 at 08:10, Matthew Thode >>> wrote: On 10/15/2015 02:04 PM, Robert

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
On 16 October 2015 at 08:10, Matthew Thode wrote: > On 10/15/2015 02:04 PM, Robert Collins wrote: ... >>> Where are my caps? >> >> The known good versions of dependencies for liberty are >>

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
On 16 October 2015 at 11:21, Matthew Thode wrote: > On 10/15/2015 05:12 PM, Robert Collins wrote: >> On 16 October 2015 at 08:10, Matthew Thode wrote: >>> On 10/15/2015 02:04 PM, Robert Collins wrote: >> ... > Where are my caps?

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matthew Thode
On 10/15/2015 05:12 PM, Robert Collins wrote: > On 16 October 2015 at 08:10, Matthew Thode wrote: >> On 10/15/2015 02:04 PM, Robert Collins wrote: > ... Where are my caps? >>> >>> The known good versions of dependencies for liberty are >>>

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
On 16 October 2015 at 08:57, Doug Hellmann wrote: > Excerpts from Matthew Thode's message of 2015-10-15 14:35:08 -0500: >> On 10/15/2015 02:17 PM, Matt Riedemann wrote: >> > > > We're going to try to cover it in >

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matthew Thode
On 10/15/2015 02:17 PM, Matt Riedemann wrote: > > > On 10/15/2015 2:10 PM, Matthew Thode wrote: >> On 10/15/2015 02:04 PM, Robert Collins wrote: >>> On 16 October 2015 at 08:01, Matthew Thode >>> wrote: So, this is my perspective in packing liberty for Gentoo.

[openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matthew Thode
So, this is my perspective in packing liberty for Gentoo. We can have multiple versions of a package available to install, because of this we generally directly translate the valid dependency versions from requirements. this oslo.concurrency>=2.3.0 # Apache-2.0 becomes this

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Robert Collins
On 16 October 2015 at 08:01, Matthew Thode wrote: > So, this is my perspective in packing liberty for Gentoo. > > We can have multiple versions of a package available to install, because > of this we generally directly translate the valid dependency versions > from

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matthew Thode
On 10/15/2015 02:04 PM, Robert Collins wrote: > On 16 October 2015 at 08:01, Matthew Thode wrote: >> So, this is my perspective in packing liberty for Gentoo. >> >> We can have multiple versions of a package available to install, because >> of this we generally directly

Re: [openstack-dev] [packaging] liberty doesn't have caps on deps

2015-10-15 Thread Matt Riedemann
On 10/15/2015 2:10 PM, Matthew Thode wrote: On 10/15/2015 02:04 PM, Robert Collins wrote: On 16 October 2015 at 08:01, Matthew Thode wrote: So, this is my perspective in packing liberty for Gentoo. We can have multiple versions of a package available to install,